Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713012 - www-client/chromium: Drop dependency on gnome-base/libgnome-keyring
Summary: www-client/chromium: Drop dependency on gnome-base/libgnome-keyring
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL: https://bugs.debian.org/cgi-bin/bugre...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 713010
  Show dependency tree
 
Reported: 2020-03-17 18:22 UTC by Matt Turner
Modified: 2020-03-24 13:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2020-03-17 18:22:18 UTC
gnome-base/libgnome-keyring is deprecated. Debian switched from using libgnome-keyring to libsecret with Chromium 60 from the looks of $URL.
Comment 1 Stephan Hartmann gentoo-dev 2020-03-17 18:41:31 UTC
AFAICS, we can drop USE=gnome-keyring completely. Chromium does not link against libgnome-keyring, but loads the library at runtime if USE=gnome-keyring is enabled. libsecret (bundled) is always enabled on Linux except for Ozone builds (which we don't support atm).
Comment 2 Larry the Git Cow gentoo-dev 2020-03-18 18:36:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5830bb87481b49e003a73509c841b481a468906d

commit 5830bb87481b49e003a73509c841b481a468906d
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-03-18 18:09:08 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-18 18:35:00 +0000

    www-client/chromium: beta channel bump to 81.0.4044.69
    
    Drop dependency on deprecated libgnome-keyring.
    
    Bug: https://bugs.gentoo.org/713012
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/15005

 www-client/chromium/Manifest                                       | 2 +-
 .../{chromium-81.0.4044.62.ebuild => chromium-81.0.4044.69.ebuild} | 7 ++++---
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 3 Larry the Git Cow gentoo-dev 2020-03-18 19:55:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3557ae18b70b995afe71d9ad8ae7e8d7f52fd42

commit b3557ae18b70b995afe71d9ad8ae7e8d7f52fd42
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-03-18 19:39:51 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-18 19:55:04 +0000

    www-client/chromium: stable channel bump to 80.0.3987.149
    
    Drop dependency on deprecated libgnome-keyring.
    
    Bug: https://bugs.gentoo.org/713282
    Bug: https://bugs.gentoo.org/713012
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/15006

 www-client/chromium/Manifest                      |   1 +
 www-client/chromium/chromium-80.0.3987.149.ebuild | 739 ++++++++++++++++++++++
 2 files changed, 740 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2020-03-24 13:48:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74bedae1b414b74fe8db58cf4848a3683b41fa09

commit 74bedae1b414b74fe8db58cf4848a3683b41fa09
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-03-20 16:06:03 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-24 13:48:03 +0000

    www-client/chromium: dev channel bump to 82.0.4085.12
    
    Drop dependency on deprecated libgnome-keyring.
    
    Closes: https://bugs.gentoo.org/713012
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/15085

 www-client/chromium/Manifest                       |  2 +-
 ....4083.0.ebuild => chromium-82.0.4085.12.ebuild} |  7 ++--
 .../chromium/files/chromium-82-gcc-noexcept.patch  | 22 ++++++++++++
 .../chromium/files/chromium-compiler-r12.patch     | 42 ++++++++++------------
 4 files changed, 45 insertions(+), 28 deletions(-)